Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.webcommon30
Interface LocaleEncodingMappingType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  LocaleEncodingMappingTypeImpl

    public interface LocaleEncodingMappingType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `locale-encoding-mappingType` xsd type

Original Documentation:

The locale-encoding-mapping contains locale name and
encoding name. The locale name must be either "Language-code",
such as "ja", defined by ISO-639 or "Language-code_Country-code",
such as "ja_JP". "Country code" is defined by ISO-3166.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getEncoding()` Returns the `encoding` element
`java.lang.String` | `getLocale()` Returns the `locale` element
`LocaleEncodingMappingType<T>` | `removeEncoding()` Removes the `encoding` element
`LocaleEncodingMappingType<T>` | `removeLocale()` Removes the `locale` element
`LocaleEncodingMappingType<T>` | `setEncoding(java.lang.String encoding)` If not already created, a new `encoding` element with the given value will be created.
`LocaleEncodingMappingType<T>` | `setLocale(java.lang.String locale)` If not already created, a new `locale` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setLocale

    LocaleEncodingMappingType<T> setLocale(java.lang.String locale)

  If not already created, a new `locale` element with the given value will be created. Otherwise, the existing `locale` element will be updated with the given value.

  Returns:
    the current instance of `LocaleEncodingMappingType`

### removeLocale

    LocaleEncodingMappingType<T> removeLocale()

  Removes the `locale` element

  Returns:
    the current instance of `LocaleEncodingMappingType`

### getLocale

    java.lang.String getLocale()

  Returns the `locale` element

  Returns:
    the node defined for the element `locale`

### setEncoding

    LocaleEncodingMappingType<T> setEncoding(java.lang.String encoding)

  If not already created, a new `encoding` element with the given value will be created. Otherwise, the existing `encoding` element will be updated with the given value.

  Returns:
    the current instance of `LocaleEncodingMappingType`

### removeEncoding

    LocaleEncodingMappingType<T> removeEncoding()

  Removes the `encoding` element

  Returns:
    the current instance of `LocaleEncodingMappingType`

### getEncoding

    java.lang.String getEncoding()

  Returns the `encoding` element

  Returns:
    the node defined for the element `encoding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD